/*  GTKtalog.
 *  Copyright (C) 1999  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>

#include "error.xpm"
#include "icons2.h"

//void		destroy_about_dialog	();

void destroy_error_dialog(GtkWidget *error_window)
{
	gtk_grab_remove(error_window);
	gtk_widget_destroy(error_window);
}


void erreur_dialog(GtkWidget *w, gchar *message, gchar *message2, gchar *titre)
{ 
  GtkWidget *error_window;
  GtkWidget *main_vbox;
  GtkWidget *frame_error;
  GtkWidget *buttonok;
  GtkWidget *table;
  GtkWidget *error_box;
  GtkWidget *texte_box;
  GtkWidget *texte_box2;

  error_window = gtk_window_new(GTK_WINDOW_DIALOG);
  gtk_container_border_width (GTK_CONTAINER (error_window), 0);
  gtk_window_set_policy(GTK_WINDOW(error_window), FALSE, FALSE, TRUE);
  gtk_window_set_position (GTK_WINDOW (error_window), GTK_WIN_POS_MOUSE);
  gtk_grab_add(error_window);

  gtk_window_set_title(GTK_WINDOW(error_window), titre);
  gtk_widget_set_usize(GTK_WIDGET(error_window), 200, 100);
  gtk_widget_show(error_window);

  main_vbox = gtk_vbox_new(FALSE, 1);
  gtk_container_border_width(GTK_CONTAINER(main_vbox), 1);
  gtk_container_add(GTK_CONTAINER(error_window), main_vbox);
  gtk_widget_show(main_vbox);

  frame_error = gtk_frame_new(NULL);
  gtk_frame_set_label( GTK_FRAME(frame_error), titre );
  gtk_frame_set_label_align( GTK_FRAME(frame_error), 0.0, 0.0);
  gtk_frame_set_shadow_type( GTK_FRAME(frame_error), GTK_SHADOW_ETCHED_OUT);
  gtk_box_pack_start (GTK_BOX (main_vbox), frame_error, TRUE, TRUE, 0); 
  gtk_widget_show(frame_error);


  table = gtk_table_new (20, 40, TRUE);
  gtk_container_add (GTK_CONTAINER (frame_error), table);
  gtk_widget_show (table);


   buttonok = gtk_button_new_with_label ("Ok");
   gtk_signal_connect_object(GTK_OBJECT(buttonok),"clicked",GTK_SIGNAL_FUNC(destroy_error_dialog),GTK_OBJECT(error_window)); 
   gtk_table_attach_defaults (GTK_TABLE(table), buttonok, 13, 28, 11, 19);
   GTK_WIDGET_SET_FLAGS (buttonok, GTK_CAN_DEFAULT);
   gtk_widget_grab_default (buttonok);
   gtk_widget_show (buttonok);


   error_box = xpm_label_box(error_window, error_xpm, "");
   gtk_table_attach_defaults (GTK_TABLE(table), error_box, 1, 8, 1, 8);
   gtk_widget_show(error_box);


   texte_box = gtk_label_new(message);
   gtk_table_attach_defaults (GTK_TABLE(table), texte_box, 9, 40, 1, 4);
   gtk_widget_show(texte_box);

   texte_box2 = gtk_label_new(message2);
   gtk_table_attach_defaults (GTK_TABLE(table), texte_box2, 9, 40, 5, 8);
   gtk_widget_show(texte_box2);
}




void dummy_error(GtkWidget *w, gchar *prog)
{ 
  GtkWidget *error_window;
  GtkWidget *main_vbox;
  GtkWidget *frame_error;
  GtkWidget *buttonok;
  GtkWidget *vbox;
  GtkWidget *vbox2;
  GtkWidget *hbox;
  GtkWidget *error_box;
  GtkWidget *texte_box;

  error_window = gtk_window_new(GTK_WINDOW_DIALOG);
  gtk_container_border_width (GTK_CONTAINER (error_window), 0);
  gtk_window_set_policy(GTK_WINDOW(error_window), FALSE, FALSE, TRUE);
  gtk_window_set_position (GTK_WINDOW (error_window), GTK_WIN_POS_MOUSE);
  gtk_grab_add(error_window);

  gtk_window_set_title(GTK_WINDOW(error_window), "WARNING");
  gtk_widget_set_usize(GTK_WIDGET(error_window), 350, 180);
  gtk_widget_show(error_window);

  main_vbox = gtk_vbox_new(FALSE, 1);
  gtk_container_border_width(GTK_CONTAINER(main_vbox), 1);
  gtk_container_add(GTK_CONTAINER(error_window), main_vbox);
  gtk_widget_show(main_vbox);

  frame_error = gtk_frame_new(NULL);
  gtk_frame_set_label( GTK_FRAME(frame_error), "Install Error:");
  gtk_frame_set_label_align( GTK_FRAME(frame_error), 0.0, 0.0);
  gtk_frame_set_shadow_type( GTK_FRAME(frame_error), GTK_SHADOW_ETCHED_OUT);
  gtk_box_pack_start (GTK_BOX (main_vbox), frame_error, TRUE, TRUE, 3); 
  gtk_widget_show(frame_error);


  
  vbox = gtk_vbox_new (FALSE, 5);
  gtk_container_add (GTK_CONTAINER (frame_error), vbox);
  gtk_widget_show (vbox);

  hbox = gtk_hbox_new (FALSE, 5);
  gtk_box_pack_start (GTK_BOX (vbox), hbox, FALSE, FALSE, 0);
  gtk_widget_show (hbox);

  error_box = xpm_label_box(error_window, error_xpm, "");
  gtk_box_pack_start (GTK_BOX (hbox), error_box, FALSE, FALSE, 0);
  gtk_widget_show(error_box);

  vbox2 = gtk_vbox_new (FALSE, 5);
  gtk_box_pack_start (GTK_BOX (hbox), vbox2, FALSE, FALSE, 0);
  gtk_widget_show (vbox2);

  texte_box = gtk_label_new("GTKtalog isn't well installed. Can't find:");
  gtk_box_pack_start (GTK_BOX (vbox2), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);

  texte_box = gtk_label_new(prog);
  gtk_box_pack_start (GTK_BOX (vbox2), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


  texte_box = gtk_label_new("GTKtalog can work well without it, but if there is");
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);

  
  texte_box = gtk_label_new("a mistake in mount, umount, eject, or plugins programs");
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


  texte_box = gtk_label_new("setup, this will crash GTKtalog. So install GTKtalog as ");
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


  texte_box = gtk_label_new("explained in the INSTALL file or check setup if it crash");
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


   buttonok = gtk_button_new_with_label ("Ok");
   gtk_signal_connect_object(GTK_OBJECT(buttonok),"clicked",GTK_SIGNAL_FUNC(destroy_error_dialog),GTK_OBJECT(error_window)); 
   gtk_box_pack_start (GTK_BOX (vbox), buttonok, FALSE, FALSE, 0);
   GTK_WIDGET_SET_FLAGS (buttonok, GTK_CAN_DEFAULT);
   gtk_widget_grab_default (buttonok);
   gtk_widget_show (buttonok);

}

void setup_error(GtkWidget *w, gchar *prog)
{ 
  GtkWidget *error_window;
  GtkWidget *main_vbox;
  GtkWidget *frame_error;
  GtkWidget *buttonok;
  GtkWidget *vbox;
  GtkWidget *vbox2;
  GtkWidget *hbox;
  GtkWidget *error_box;
  GtkWidget *texte_box;
  char data[1024];

  error_window = gtk_window_new(GTK_WINDOW_DIALOG);
  gtk_container_border_width (GTK_CONTAINER (error_window), 0);
  gtk_window_set_policy(GTK_WINDOW(error_window), FALSE, FALSE, TRUE);
  gtk_window_set_position (GTK_WINDOW (error_window), GTK_WIN_POS_MOUSE);
  gtk_grab_add(error_window);

  gtk_window_set_title(GTK_WINDOW(error_window), "WARNING");
  gtk_widget_set_usize(GTK_WIDGET(error_window), 350, 180);
  gtk_widget_show(error_window);

  main_vbox = gtk_vbox_new(FALSE, 1);
  gtk_container_border_width(GTK_CONTAINER(main_vbox), 1);
  gtk_container_add(GTK_CONTAINER(error_window), main_vbox);
  gtk_widget_show(main_vbox);

  frame_error = gtk_frame_new(NULL);
  gtk_frame_set_label( GTK_FRAME(frame_error), "For a better compatibility, GTKtalog directories have moved");
  gtk_frame_set_label_align( GTK_FRAME(frame_error), 0.0, 0.0);
  gtk_frame_set_shadow_type( GTK_FRAME(frame_error), GTK_SHADOW_ETCHED_OUT);
  gtk_box_pack_start (GTK_BOX (main_vbox), frame_error, TRUE, TRUE, 3); 
  gtk_widget_show(frame_error);


  
  vbox = gtk_vbox_new (FALSE, 5);
  gtk_container_add (GTK_CONTAINER (frame_error), vbox);
  gtk_widget_show (vbox);

  hbox = gtk_hbox_new (FALSE, 5);
  gtk_box_pack_start (GTK_BOX (vbox), hbox, FALSE, FALSE, 0);
  gtk_widget_show (hbox);

  error_box = xpm_label_box(error_window, error_xpm, "");
  gtk_box_pack_start (GTK_BOX (hbox), error_box, FALSE, FALSE, 0);
  gtk_widget_show(error_box);

  vbox2 = gtk_vbox_new (FALSE, 5);
  gtk_box_pack_start (GTK_BOX (hbox), vbox2, FALSE, FALSE, 0);
  gtk_widget_show (vbox2);

  texte_box = gtk_label_new("GTKtalog eject program has moved from directory");
  gtk_box_pack_start (GTK_BOX (vbox2), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);

  sprintf(data,"%s/share/gtktalog to %s/lib/gtktalog",PREFIX,PREFIX);
  texte_box = gtk_label_new(data);
  gtk_box_pack_start (GTK_BOX (vbox2), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);

  sprintf(data,"Plugins have moved from: %s/share/gtktalog/plugins",PREFIX);
  texte_box = gtk_label_new(data);
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);

  sprintf(data,"to %s/lib/gtktalog/plugins",PREFIX);
  texte_box = gtk_label_new(data);
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


  texte_box = gtk_label_new("");
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


  texte_box = gtk_label_new("So don't forget to open setup window and update it.");
  gtk_box_pack_start (GTK_BOX (vbox), texte_box, FALSE, FALSE, 0);
  gtk_widget_show(texte_box);


   buttonok = gtk_button_new_with_label ("Ok");
   gtk_signal_connect_object(GTK_OBJECT(buttonok),"clicked",GTK_SIGNAL_FUNC(destroy_error_dialog),GTK_OBJECT(error_window)); 
   gtk_box_pack_start (GTK_BOX (vbox), buttonok, FALSE, FALSE, 0);
   GTK_WIDGET_SET_FLAGS (buttonok, GTK_CAN_DEFAULT);
   gtk_widget_grab_default (buttonok);
   gtk_widget_show (buttonok);

}

