/*  GTKtalog.
 *  Copyright (C) 1999-2000  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>

#include "data.h"


void free_folder(Folder *folder)
{
  int i;
  Folder *fold;

  fold = folder;
 // folder = NULL;

  for(i=0;i<fold->nb_folders;i++)
    {
      free_folder(&fold->folders[i]);
    }

  for(i=0;i<fold->nb_files;i++)
    {
      free(fold->files[i].name);
      if((fold->type>>7) == 1) free(fold->files[i].information);
    }

  free(fold->files);
  free(fold->folders);
  free(fold->name);
  free(fold->information);
  fold->parent = NULL;

}


void my_free_folder(Folder *folder)
{
  int i;

  for(i=0;i<folder->nb_folders;i++)
    {
      free_folder(&folder->folders[i]);
    }

  for(i=0;i<folder->nb_files;i++)
    {
      free(folder->files[i].name);
      if((folder->type>>7) == 1) free(folder->files[i].information);
    }

  free(folder->files);
  free(folder->folders);
  free(folder->name);
  free(folder->information);
  folder->parent = NULL;

}
